
// window system independent camera view code

typedef struct
{
	int		width, height;

	qboolean	timing;

	vec3_t	origin;			// at center of window
	float	scale;

	float	topclip, bottomclip;
	int		draw_mode;
	int		TexMenu;
	int		texture_mode;

	qboolean d_dirty;
} xy_t;

BOOL XYExcludeBrush(brush_t	*pb);

void XY_Init (void);
void XY_MouseDown (int x, int y, int buttons, WInfo_t *winfo);
void XY_MouseUp (int x, int y, int buttons);
void XY_MouseMoved (int x, int y, int buttons, WInfo_t *winfo);
void XY_Draw (WInfo_t *winfo);

BOOL FilterBrush(brush_t *pb);
